{
===============================================================================
  Copyright (©) 2005. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 23-03-2005
  Versión actual: 1.0.0
  Fecha versión actual: 23-03-2005
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit CambiarSituacionFactura;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RdxFrame, RdxBotones, ExtCtrls, RdxPaneles, RdxBarras, RdxCheckBox,
  StdCtrls, RdxCampos, Configuracion, dxCntner, dxEditor, dxExEdtr, dxEdLib,
  cxControls, cxContainer, cxEdit, cxTextEdit, cxMaskEdit, cxDropDownEdit,
  cxCalendar, RdxComboBox;

type
  TfrCambiarSituacionFactura = class(TRdxFrame)
    eInformacion: TLabel;
    brOperacion: TRdxBarraInferior;
    bGuardar: TRdxBoton;
    bCancelar: TRdxBoton;
    cbxSituacion: TRdxComboBox;
    Label1: TLabel;
    procedure bGuardarClick(Sender: TObject);
    procedure bCancelarClick(Sender: TObject);
  private
    FCodigosFacturas : TStringList;
    FSituacion : String;
    procedure SetSituacion(Value : String);
  public
    property CodigosFacturas : TStringList read FCodigosFacturas write FCodigosFacturas;
    property Situacion : String read FSituacion write SetSituacion;
    constructor Create (AOwner : TComponent); override;
  end;

var
  frCambiarSituacionFactura: TfrCambiarSituacionFactura;

implementation

{$R *.DFM}

uses
  TablaFacturasCliente, BaseDatos, StrFunc;
{ TfrEmitirPedidoProveedor }

procedure TfrCambiarSituacionFactura.bGuardarClick(Sender: TObject);
begin
//  if not dmTablaPresupuestos.ModificarSituacionPresupuesto(EmpresaActiva.Codigo, CodigoPresupuesto, cbxSituacion.Text, StrToDate(FechaDecision.Text)) then
//  begin
//    dmBaseDatos.Rollback;
//    exit;
//  end;
//  dmBaseDatos.Commit;
  CloseFrame;
end;

procedure TfrCambiarSituacionFactura.bCancelarClick(Sender: TObject);
begin
  CloseFrame;
end;

constructor TfrCambiarSituacionFactura.Create(AOwner: TComponent);
begin
  inherited;
  cbxSituacion.Items := dmTablaFacturasCliente.DarSituaciones;
end;

procedure TfrCambiarSituacionFactura.SetSituacion(Value: String);
begin
  if not esCadenaVacia(Value) then
  begin
    FSituacion := Value;
    cbxSituacion.ItemIndex := cbxSituacion.Items.indexof(FSituacion);
  end;
end;

end.
